/*
 *    Brutus header file for declaring EDK GUIDs.
 *    Copyright (C) 2004, 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _EDKGUID_H
#define _EDKGUID_H

#include <guiddef.h>

/* This is really annoying... I can not link to edkguid.lib, where
 * they is otherwise defined, so I have to define them all by hand */

extern const ::GUID IID_IExchangeManageStore;
extern const ::GUID IID_IExchangeManageStore2;
extern const ::GUID IID_IExchangeManageStore3;
extern const ::GUID IID_IExchangeManageStore4;
extern const ::GUID IID_IExchangeModifyTable;
extern const ::GUID IID_IExchangeRuleAction;
extern const ::GUID IID_IExchangeFastTransfer;
extern const ::GUID IID_IExchangeExportChanges;
extern const ::GUID IID_IExchangeExportChanges2;
extern const ::GUID IID_IExchangeExportChanges3;
extern const ::GUID IID_IExchangeImportHierarchyChanges;
extern const ::GUID IID_IExchangeImportContentsChanges;
extern const ::GUID IID_IExchangeImportContentsChanges2;
extern const ::GUID IID_IExchangeFavorites;
extern const ::GUID IID_IExchangeChangeAdvisor;
extern const ::GUID IID_IExchangeMessageConversion;
extern const ::GUID IID_IExchangeNntpNewsfeed;

extern const ::GUID IID_IExchangeMessageCpid0;

#endif // _EDKGUID_H

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
