/*
 *    Brutus source file for defining MAPI GUIDs.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <NT_Service/guid.h>

const ::GUID IID_IUnknown = {
        0x00000000,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPISession = {
        0x00020300,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPITable = {
        0x00020301,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIAdviseSink = {
        0x00020302,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIProp = {
        0x00020303,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IProfSect = {
        0x00020304,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIStatus = {
        0x00020305,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMsgStore = {
        0x00020306,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMessage = {
        0x00020307,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IAttachment = {
        0x00020308,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IAddrBook = {
        0x00020309,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMailUser = {
        0x0002030A,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIContainer = {
        0x0002030B,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIFolder = {
        0x0002030C,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IABContainer = {
        0x0002030D,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IDistList = {
        0x0002030E,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPISup = {
        0x0002030F,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMSProvider = {
        0x00020310,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IABProvider = {
        0x00020311,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IXPProvider = {
        0x00020312,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMSLogon = {
        0x00020313,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IABLogon = {
        0x00020314,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IXPLogon = {
        0x00020315,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPITableData = {
        0x00020316,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPISpoolerInit = {
        0x00020317,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPISpoolerSession = {
        0x00020318,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_ITNEF = {
        0x00020319,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIPropData = {
        0x0002031A,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIControl = {
        0x0002031B,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IProfAdmin = {
        0x0002031C,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMsgServiceAdmin = {
        0x0002031D,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPISpoolerService = {
        0x0002031E,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIProgress = {
        0x0002031F,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_ISpoolerHook = {
        0x00020320,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIViewContext = {
        0x00020321,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIFormMgr = {
        0x00020322,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IEnumMAPIFormProp = {
        0x00020323,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIFormInfo = {
        0x00020324,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IProviderAdmin = {
        0x00020325,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIForm = {
        0x00020327,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID PS_MAPI = {
        0x00020328,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID PS_PUBLIC_STRINGS = {
        0x00020329,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IPersistMessage = {
        0x0002032A,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIViewAdviseSink = {
        0x0002032B,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IStreamDocfile = {
        0x0002032C,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIFormProp = {
        0x0002032D,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIFormContainer = {
        0x0002032E,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIFormAdviseSink = {
        0x0002032F,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IStreamTnef = {
        0x00020330,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIFormFactory = {
        0x00020350,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID IID_IMAPIMessageSite = {
        0x00020370,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID PS_ROUTING_EMAIL_ADDRESSES = {
        0x00020380,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID PS_ROUTING_ADDRTYPE = {
        0x00020381,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID PS_ROUTING_DISPLAY_NAME = {
        0x00020382,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID PS_ROUTING_ENTRYID = {
        0x00020383,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID PS_ROUTING_SEARCH_KEY = {
        0x00020384,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

const ::GUID MUID_PROFILE_INSTANCE = {
        0x00020385,
        0x0000,
        0x0000,
        0xC0,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x00,
        0x46};

