/*
 *    Brutus header file for declaring MAPI GUIDs.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _GUID_H_
#define _GUID_H_

#define MAPIGUID_H // do not include mapiguid.h if this file is included
#include <guiddef.h>

extern const ::GUID IID_IUnknown;
extern const ::GUID IID_IMAPISession;
extern const ::GUID IID_IMAPITable;
extern const ::GUID IID_IMAPIAdviseSink;
extern const ::GUID IID_IMAPIProp;
extern const ::GUID IID_IProfSect;
extern const ::GUID IID_IMAPIStatus;
extern const ::GUID IID_IMsgStore;
extern const ::GUID IID_IMessage;
extern const ::GUID IID_IAttachment;
extern const ::GUID IID_IAddrBook;
extern const ::GUID IID_IMailUser;
extern const ::GUID IID_IMAPIContainer;
extern const ::GUID IID_IMAPIFolder;
extern const ::GUID IID_IABContainer;
extern const ::GUID IID_IDistList;
extern const ::GUID IID_IMAPISup;
extern const ::GUID IID_IMSProvider;
extern const ::GUID IID_IABProvider;
extern const ::GUID IID_IXPProvider;
extern const ::GUID IID_IMSLogon;
extern const ::GUID IID_IABLogon;
extern const ::GUID IID_IXPLogon;
extern const ::GUID IID_IMAPITableData;
extern const ::GUID IID_IMAPISpoolerInit;
extern const ::GUID IID_IMAPISpoolerSession;
extern const ::GUID IID_ITNEF;
extern const ::GUID IID_IMAPIPropData;
extern const ::GUID IID_IMAPIControl;
extern const ::GUID IID_IProfAdmin;
extern const ::GUID IID_IMsgServiceAdmin;
extern const ::GUID IID_IMAPISpoolerService;
extern const ::GUID IID_IMAPIProgress;
extern const ::GUID IID_ISpoolerHook;
extern const ::GUID IID_IMAPIViewContext;
extern const ::GUID IID_IMAPIFormMgr;
extern const ::GUID IID_IEnumMAPIFormProp;
extern const ::GUID IID_IMAPIFormInfo;
extern const ::GUID IID_IProviderAdmin;
extern const ::GUID IID_IMAPIForm;
extern const ::GUID PS_MAPI;
extern const ::GUID PS_PUBLIC_STRINGS;
extern const ::GUID IID_IPersistMessage;
extern const ::GUID IID_IMAPIViewAdviseSink;
extern const ::GUID IID_IStreamDocfile;
extern const ::GUID IID_IMAPIFormProp;
extern const ::GUID IID_IMAPIFormContainer;
extern const ::GUID IID_IMAPIFormAdviseSink;
extern const ::GUID IID_IStreamTnef;
extern const ::GUID IID_IMAPIFormFactory;
extern const ::GUID IID_IMAPIMessageSite;
extern const ::GUID PS_ROUTING_EMAIL_ADDRESSES;
extern const ::GUID PS_ROUTING_ADDRTYPE;
extern const ::GUID PS_ROUTING_DISPLAY_NAME;
extern const ::GUID PS_ROUTING_ENTRYID;
extern const ::GUID PS_ROUTING_SEARCH_KEY;
extern const ::GUID MUID_PROFILE_INSTANCE;

#endif // _GUID_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
