#!/bin/sh
# Run this to generate all the initial makefiles, etc.

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.

PKG_NAME="evolution-brutus"
REQUIRED_AUTOMAKE_VERSION=1.6

(test -f $srcdir/configure.in \
  && test -f $srcdir/ChangeLog \
  && test -f $srcdir/Makefile.am \
  && test -d $srcdir/addressbook \
  && test -d $srcdir/calendar \
  && test -d $srcdir/camel \
  && test -d $srcdir/idl_output \
  && test -d $srcdir/plugin \
  && test -d $srcdir/po \
  && test -d $srcdir/servant_impl \
  && test -d $srcdir/server \
  && test -d $srcdir/session) || {
    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
    echo " top-level $PKG_NAME directory"
    exit 1
}

which gnome-autogen.sh || {
    echo "You need to install gnome-common from the GNOME CVS"
    exit 1
}
USE_GNOME2_MACROS=1 . gnome-autogen.sh
