/*
 *    Brutus header file for a value to string helper class.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _BRESULT_H_
#define _BRESULT_H_

#include <idl_output/return_codesC.h>
#include <map>


class CBresult {
public:
        CBresult();


        ~CBresult(void)
		{ 
		};

	const char *bresult_to_str(::BRUTUS::BRESULT code);

private:
	std::map< ::BRUTUS::BRESULT, const char*> br_arr;
};

#endif // _BRESULT_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
