/*
 *    Brutus header file for an ORB initiation helper class.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _INIT_ORB_H_
#define _INIT_ORB_H_

#include <tao/corba.h>

class Init_ORB {
public:
        Init_ORB(void)
		{ 
		};

        ~Init_ORB(void)
		{ 
		};

	CORBA::ORB_ptr create(int argc,
			      char **argv,
			      const bool use_ssl,
			      const char *logon_init_ref, 
			      const char *logon_obj_server_key, 
			      const char *server_host_name, 
			      const uint16_t server_port,
			      const char *orb_name);
};

#endif // _INIT_ORB_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
