#!/bin/sh

BDIR_ROOT=$HOME/tmp

rm -rf $BDIR_ROOT/brutus
mkdir -p $BDIR_ROOT/brutus

cd $HOME/work/src/brutus/ && bk export -w -xbrutus-install.wsi -xedkinc/edkmdb.h -xscripts/brutus-release-sdu.sh NT_Service $BDIR_ROOT/brutus/NT_Service
cd $HOME/work/src/brutus/ && bk export -w idl $BDIR_ROOT/brutus/idl

cd $BDIR_ROOT && tar cf "brutus-snapshot.tar" brutus/ 
cd $BDIR_ROOT && bzip2 -f "brutus-snapshot.tar"

scp brutus-snapshot.tar.bz2 colding#omesc.com@omesc.com:/var/www/html/content/downloads/

echo "URL is <http://www.omesc.com/content/downloads/brutus-snapshot.tar.bz2>"
