#!/bin/sh

# Get the omesc.com password
query_pwd ()
{
    local pwd=""
 
    read -s -t 30 -p "omesc.com password: " pwd
    echo "$pwd"
}

BDIR_ROOT=$HOME/tmp

rm -rf $BDIR_ROOT/brutus
mkdir -p $BDIR_ROOT/brutus

cd $HOME/work/src/brutus/ && bk export -w -xbrutus-install.wsi -xedkinc/edkmdb.h -xscripts/brutus-release-sdu.sh NT_Service $BDIR_ROOT/brutus/NT_Service
cd $HOME/work/src/brutus/NT_Service && bk changes -av > $BDIR_ROOT/brutus/NT_Service/ChangeLog
cd $HOME/work/src/brutus/ && bk export -w idl $BDIR_ROOT/brutus/idl
cd $HOME/work/src/brutus/idl && bk changes -av > $BDIR_ROOT/brutus/idl/ChangeLog

cd $BDIR_ROOT && tar cf "brutus-$1.tar" brutus/ 
cd $BDIR_ROOT && bzip2 -f "brutus-$1.tar"

pass=$(query_pwd)

/usr/bin/expect -c "set send_human {.1 .3 1 .05 2}; \
         set password \"$pass\"; \
         spawn scp \"brutus-$1.tar.bz2\" colding#omesc.com@omesc.com:/var/www/html/content/downloads/; \
         sleep 1; \
         expect \"*s password: \"; \
         send -h \"\$password\\r\"; \
         expect eof"

/usr/bin/expect -c "set send_human {.1 .3 1 .05 2}; \
         set password \"$pass\"; \
         spawn ssh colding#omesc.com@omesc.com rm -f /var/www/html/content/downloads/brutus-latest.tar.bz2; \
         sleep 1; \
         expect \"*s password: \"; \
         send -h \"\$password\\r\"; \
         expect eof"

/usr/bin/expect -c "set send_human {.1 .3 1 .05 2}; \
         set password \"$pass\"; \
         spawn ssh colding#omesc.com@omesc.com \"cd /var/www/html/content/downloads/ && ln -s brutus-$1.tar.bz2 brutus-latest.tar.bz2\" ; \
         sleep 1; \
         expect \"*s password: \"; \
         send -h \"\$password\\r\"; \
         expect eof"

/usr/bin/expect -c "set send_human {.1 .3 1 .05 2}; \
         set password \"$pass\"; \
         spawn scp \"$BDIR_ROOT/brutus/NT_Service/ChangeLog\" colding#omesc.com@omesc.com:/var/www/html/content/downloads/ChangeLog.server; \
         sleep 1; \
         expect \"*s password: \"; \
         send -h \"\$password\\r\"; \
         expect eof"

/usr/bin/expect -c "set send_human {.1 .3 1 .05 2}; \
         set password \"$pass\"; \
         spawn scp \"$BDIR_ROOT/brutus/idl/ChangeLog\" colding#omesc.com@omesc.com:/var/www/html/content/downloads/ChangeLog.idl; \
         sleep 1; \
         expect \"*s password: \"; \
         send -h \"\$password\\r\"; \
         expect eof"

cd $HOME/work/vmware-shared-folder
scp brutus-install.exe colding#omesc.com@omesc.com:/var/www/html/content/downloads/
