/*
 *    Brutus source file implementing a servant activator.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#include <NT_Service/servant_activator.h>

BrutusActivator_i::BrutusActivator_i()
{
}

BrutusActivator_i::~BrutusActivator_i()
{
}
        
PortableServer::Servant BrutusActivator_i::incarnate(const PortableServer::ObjectId& oid,
                                                     PortableServer::POA_ptr adapter)
{
        throw CORBA::OBJECT_NOT_EXIST();
}

void BrutusActivator_i::etherealize(const PortableServer::ObjectId& oid,
                                    PortableServer::POA_ptr adapter,
                                    PortableServer::Servant serv,
                                    CORBA::Boolean cleanup_in_progress,
                                    CORBA::Boolean remaining_activations)
{
        if (!remaining_activations)
                serv->_remove_ref();
}
