/*
 *    Brutus header file for the MAPIFunctions servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __MAPIFUNCTIONSS_IMPL_H_
#define __MAPIFUNCTIONSS_IMPL_H_

#include <idl/MAPIFunctionsS.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

class SERVANTLIB_API BRUTUS_MAPIFunctions_i : public virtual POA_BRUTUS::MAPIFunctions, 
	public virtual PortableServer::RefCountServantBase
{
public:
        BRUTUS_MAPIFunctions_i(PortableServer::POA_ptr Poa);
  
private:
        BRUTUS_MAPIFunctions_i(void)
                { };

        virtual ~BRUTUS_MAPIFunctions_i (void)
                { 
                };

        PortableServer::POA_var poa_;
        ACE_RW_Mutex mutex_;
};


#endif /* __MAPIFUNCTIONSS_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
