/*
 *    Brutus sample header file for the BrutusCheck servant.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _HOME_COLDING_WORK_SRC_BRUTUS_IDL_SAMPLES_C___SERVANT_IMPL_BRUTUSCHECKS_IMPLSKEL_H_
#define _HOME_COLDING_WORK_SRC_BRUTUS_IDL_SAMPLES_C___SERVANT_IMPL_BRUTUSCHECKS_IMPLSKEL_H_

#include <idl_output/BrutusCheckS.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

class  BRUTUS_BrutusCheck_i : public virtual POA_BRUTUS::BrutusCheck,
			      public virtual PortableServer::RefCountServantBase
{
public:
	BRUTUS_BrutusCheck_i(void);
  
	virtual ~BRUTUS_BrutusCheck_i(void);
  
	virtual void ping()
		ACE_THROW_SPEC((CORBA::SystemException));
};

#endif /* _HOME_COLDING_WORK_SRC_BRUTUS_IDL_SAMPLES_C___SERVANT_IMPL_BRUTUSCHECKS_IMPLSKEL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */

